/////////////////////////////////////////////////////////////////////////////
//
//	Project		:	Active Commentary v1.0 (Visual C++ Dev Studio AddIn)
//	File		:	ListDlg.h
//	Description	:	Interfaces for List All Comments dialog
//					(CListDlg class)
//
//	Created and modified by Andrey Levin
//	mail to: Levin@artis-inventum.de
/////////////////////////////////////////////////////////////////////////////
#if !defined(AFX_LISTDLG_H__80B29BB8_89AA_11D4_A173_0050DA5F60A9__INCLUDED_)
#define AFX_LISTDLG_H__80B29BB8_89AA_11D4_A173_0050DA5F60A9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ListDlg.h : header file
//
#include <afxcmn.h>

#define ITEM_SUCCESFULLYFINDED 	0
#define ITEM_FINDFAILURE 		1
#define ITEM_CANNOTFINDDOC		2
#define ITEM_NOTATITLE			3
#define ITEM_EMPTY				4

#define MODE_GOTO				10
#define MODE_EDIT				11
#define MODE_EXECUTE			12
#define MODE_CLEAR				13
#define MODE_DELETE				14
/////////////////////////////////////////////////////////////////////////////
// CListDlg dialog

class CListDlg : public CDialog
{
// Construction
public:
	CListDlg(CWnd* pParent = NULL);   // standard constructor
	CImageList			m_ImageList;

	CMapStringToOb		*m_pProjectMap;
	IApplication		*m_pApp;
	CStringArray		*m_pStrArray;
// Dialog Data
	//{{AFX_DATA(CListDlg)
	enum { IDD = IDD_LISTDLG };
	CButton	m_OpenDoc;
	CButton	m_Goto;
	CButton	m_Execute;
	CButton	m_Edit;
	CButton	m_Delete;
	CButton	m_Clear;
	CTreeCtrl	m_ProjectTree;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CListDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CMapStringToOb		*m_pDocumentMap;
	CComment			*m_pComment;
	IGenericDocument	*m_pDoc;
	ITextSelection		*m_pSel;

	DWORD FindComment(HTREEITEM hItem, DWORD forMode);

	// Generated message map functions
	//{{AFX_MSG(CListDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnDelete();
	afx_msg void OnClear();
	afx_msg void OnGoto();
	afx_msg void OnExecute();
	afx_msg void OnEdit();
	afx_msg void OnDblclkProjecttree(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSelchangedProjecttree(NMHDR* pNMHDR, LRESULT* pResult);
	virtual void OnOK();
	afx_msg void OnOpendoc();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LISTDLG_H__80B29BB8_89AA_11D4_A173_0050DA5F60A9__INCLUDED_)
